# Copyright © 2021-2022, 2024 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or any later version.
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=7

inherit multiprocessing unpacker

DESCRIPTION="Explain and construct C declarations"
HOMEPAGE="http://draconx.ca/projects/cdecl99/"
SRC_URI="http://draconx.ca/archive/$PN/$P.tar.lz"

LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86"
IUSE="static-libs nls readline"

RDEPEND="nls? ( virtual/libintl sys-devel/bison[nls] )
	readline? ( sys-libs/readline:= )"
DEPEND="$RDEPEND"

src_configure () {
	econf \
		--enable-shared $(use_enable static-libs static) \
		$(use_with readline) \
		$(use_enable nls)
}

src_install () {
	default

	use static-libs || find "$ED" -name '*.la' -delete
}

src_test () {
	emake TESTSUITEFLAGS="-j$(makeopts_jobs)" check
}
